#ifndef _KGR_PATCH_BSC1173664_H
#define _KGR_PATCH_BSC1173664_H

#if IS_ENABLED(CONFIG_MWIFIEX)

int kgr_patch_bsc1173664_init(void);
void kgr_patch_bsc1173664_cleanup(void);


struct mwifiex_uap_bss_param;
struct cfg80211_ap_settings;
struct mwifiex_private;

void
kgrp_mwifiex_set_uap_rates(struct mwifiex_uap_bss_param *bss_cfg,
		      struct cfg80211_ap_settings *params);
void
kgrp_mwifiex_set_wmm_params(struct mwifiex_private *priv,
		       struct mwifiex_uap_bss_param *bss_cfg,
		       struct cfg80211_ap_settings *params);

#define KGR_PATCH_BSC1173664_FUNCS				\
	KGR_PATCH_OBJ(mwifiex_set_uap_rates,			\
		      kgrp_mwifiex_set_uap_rates, "mwifiex"),	\
	KGR_PATCH_OBJ(mwifiex_set_wmm_params,			\
		      kgrp_mwifiex_set_wmm_params, "mwifiex"),	\

#else /* !IS_ENABLED(CONFIG_MWIFIEX) */

static inline int kgr_patch_bsc1173664_init(void) { return 0; }

static inline void kgr_patch_bsc1173664_cleanup(void) {}

#define KGR_PATCH_BSC1173664_FUNCS

#endif /* IS_ENABLED(CONFIG_MWIFIEX) */
#endif /* _KGR_PATCH_BSC1173664_H */
